package com.namasoft.contracts.common.dtos.requests;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;

import com.namasoft.common.constants.NavigationType;

@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public class NavigationRequest extends ListRequestBase
{
	private static final long serialVersionUID = 8662451133387894766L;
	private String id;
	private NavigationType navigationType;

	public NavigationRequest()
	{
		super();
	}

	public NavigationRequest(String entityType, String id, String orderBy)
	{
		super(entityType);
		this.id = id;
		setOrderBy(orderBy);
	}

	public String getId()
	{
		return id;
	}

	public void setId(String id)
	{
		this.id = id;
	}

	public NavigationType getNavigationType()
	{
		return navigationType;
	}

	public void setNavigationType(NavigationType navigationType)
	{
		this.navigationType = navigationType;
	}

}
