package com.namasoft.modules.commonbasic.contracts.valueobjects;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.util.Date;
@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public abstract class GeneratedDTOTrackDebtAges implements Serializable
{
	private Boolean doNotDisplayAutomaticMatchedDebitAges;
	private Boolean reprocessAllUnmatchedDebtAgesEveryTime;
	private Boolean shortenDebtAgesInSameDocument;
	private Boolean trackDebtAgesOnAnalysisSet;
	private Boolean trackDebtAgesOnBranch;
	private Boolean trackDebtAgesOnDepartment;
	private Boolean trackDebtAgesOnEntityDimension;
	private Boolean trackDebtAgesOnSector;
	private Date doNotShowUnpaidDebtsBefore;
	private Integer maxInvoicesInSuggestionList;
	public Boolean getDoNotDisplayAutomaticMatchedDebitAges()
	{
		return doNotDisplayAutomaticMatchedDebitAges;
	}

	public Boolean getReprocessAllUnmatchedDebtAgesEveryTime()
	{
		return reprocessAllUnmatchedDebtAgesEveryTime;
	}

	public Boolean getShortenDebtAgesInSameDocument()
	{
		return shortenDebtAgesInSameDocument;
	}

	public Boolean getTrackDebtAgesOnAnalysisSet()
	{
		return trackDebtAgesOnAnalysisSet;
	}

	public Boolean getTrackDebtAgesOnBranch()
	{
		return trackDebtAgesOnBranch;
	}

	public Boolean getTrackDebtAgesOnDepartment()
	{
		return trackDebtAgesOnDepartment;
	}

	public Boolean getTrackDebtAgesOnEntityDimension()
	{
		return trackDebtAgesOnEntityDimension;
	}

	public Boolean getTrackDebtAgesOnSector()
	{
		return trackDebtAgesOnSector;
	}

	public Date getDoNotShowUnpaidDebtsBefore()
	{
		return doNotShowUnpaidDebtsBefore;
	}

	public Integer getMaxInvoicesInSuggestionList()
	{
		return maxInvoicesInSuggestionList;
	}

	public void setDoNotDisplayAutomaticMatchedDebitAges(Boolean doNotDisplayAutomaticMatchedDebitAges)
	{
		this.doNotDisplayAutomaticMatchedDebitAges = doNotDisplayAutomaticMatchedDebitAges;
	}

	public void setDoNotShowUnpaidDebtsBefore(Date doNotShowUnpaidDebtsBefore)
	{
		this.doNotShowUnpaidDebtsBefore = doNotShowUnpaidDebtsBefore;
	}

	public void setMaxInvoicesInSuggestionList(Integer maxInvoicesInSuggestionList)
	{
		this.maxInvoicesInSuggestionList = maxInvoicesInSuggestionList;
	}

	public void setReprocessAllUnmatchedDebtAgesEveryTime(Boolean reprocessAllUnmatchedDebtAgesEveryTime)
	{
		this.reprocessAllUnmatchedDebtAgesEveryTime = reprocessAllUnmatchedDebtAgesEveryTime;
	}

	public void setShortenDebtAgesInSameDocument(Boolean shortenDebtAgesInSameDocument)
	{
		this.shortenDebtAgesInSameDocument = shortenDebtAgesInSameDocument;
	}

	public void setTrackDebtAgesOnAnalysisSet(Boolean trackDebtAgesOnAnalysisSet)
	{
		this.trackDebtAgesOnAnalysisSet = trackDebtAgesOnAnalysisSet;
	}

	public void setTrackDebtAgesOnBranch(Boolean trackDebtAgesOnBranch)
	{
		this.trackDebtAgesOnBranch = trackDebtAgesOnBranch;
	}

	public void setTrackDebtAgesOnDepartment(Boolean trackDebtAgesOnDepartment)
	{
		this.trackDebtAgesOnDepartment = trackDebtAgesOnDepartment;
	}

	public void setTrackDebtAgesOnEntityDimension(Boolean trackDebtAgesOnEntityDimension)
	{
		this.trackDebtAgesOnEntityDimension = trackDebtAgesOnEntityDimension;
	}

	public void setTrackDebtAgesOnSector(Boolean trackDebtAgesOnSector)
	{
		this.trackDebtAgesOnSector = trackDebtAgesOnSector;
	}

}
