package com.namasoft.contracts.common.dtos;

import jakarta.xml.bind.annotation.*;
import java.io.Serializable;

@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public class PrintingParams implements Serializable
{
	private String tempPrintId;
	private String printerName;
	private String entityCode;
	private String entityType;
	private String entityId;

	public PrintingParams(String tempPrintId, String printerName)
	{
		this.tempPrintId = tempPrintId;
		this.printerName = printerName;
	}

	public PrintingParams()
	{
	}

	public String getTempPrintId()
	{
		return tempPrintId;
	}

	public void setTempPrintId(String tempPrintId)
	{
		this.tempPrintId = tempPrintId;
	}

	public String getPrinterName()
	{
		return printerName;
	}

	public void setPrinterName(String printerName)
	{
		this.printerName = printerName;
	}

	public String getEntityCode()
	{
		return entityCode;
	}

	public void setEntityCode(String entityCode)
	{
		this.entityCode = entityCode;
	}

	public String getEntityType()
	{
		return entityType;
	}

	public void setEntityType(String entityType)
	{
		this.entityType = entityType;
	}

	public String getEntityId()
	{
		return entityId;
	}

	public void setEntityId(String entityId)
	{
		this.entityId = entityId;
	}
}
